package com.eco.common.mapper.core.impl;

import com.eco.common.mapper.annotation.FieldMapperType;
import com.eco.common.mapper.constant.MapperConstant;
import com.eco.common.mapper.core.FieldMapperInterface;
import lombok.AllArgsConstructor;
import org.eco.common.core.service.AircraftService;

/**
 * @Description: AircraftNoMapperImpl
 * @Author: GaoKun Wang
 * @Date: 2024/7/29
 */
@AllArgsConstructor
@FieldMapperType(type = MapperConstant.AIRCRAFT_ID_TO_NO)
public class AircraftNoMapperImpl implements FieldMapperInterface<String> {
    private final AircraftService aircraftService;

    @Override
    public String fieldMapper(Object key, String other) {
        if (key instanceof Long id) {
            return aircraftService.selectAircraftNoById(id);
        }
        return null;
    }
}
